Get Orderbook
curl --request GET \
--url https://api.rivermarkets.com/v1/orderbooks/{river_id} \
--header 'X-River-Key-Id: <api-key>' \
--header 'X-River-Signature: <api-key>' \
--header 'X-River-Timestamp: <api-key>'import requests
url = "https://api.rivermarkets.com/v1/orderbooks/{river_id}"
headers = {
"X-River-Key-Id": "<api-key>",
"X-River-Timestamp": "<api-key>",
"X-River-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-River-Key-Id': '<api-key>',
'X-River-Timestamp': '<api-key>',
'X-River-Signature': '<api-key>'
}
};
fetch('https://api.rivermarkets.com/v1/orderbooks/{river_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderbook": {
"bids": [
{
"price": 123,
"qty": 123,
"breakdown": {}
}
],
"asks": [
{
"price": 123,
"qty": 123,
"breakdown": {}
}
],
"river_id": 123,
"generic_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"best_bid_price": 123,
"best_ask_price": 123,
"exchange_timestamp": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Market Data
Get Orderbook
Get orderbook for a river_id.
GET
/
v1
/
orderbooks
/
{river_id}
Get Orderbook
Authorizations
SignedRequestKeyId & SignedRequestTimestamp & SignedRequestSignatureBearerAuth
UUID of your API key (from Settings → API Keys).
Current unix seconds. Must be within 30s of server time.
Base64 Ed25519 signature over the canonical request: METHOD\nPATH\nSORTED_QUERY\nTIMESTAMP\nSHA256(body) hex. See /api-reference/authentication for the full recipe.
Path Parameters
Query Parameters
Number of price levels to return
Required range:
1 <= x <= 10⌘I

